> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Prepares a cart for stripe.

> Prepares a cart for stripe.



## OpenAPI

````yaml put /public/checkout/cart/{id}/prepare-stripe
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /public/checkout/cart/{id}/prepare-stripe:
    parameters: []
    put:
      tags:
        - Cart
      summary: Prepares a cart for stripe.
      description: Prepares a cart for stripe.
      operationId: prepareStripeCartConfirmation
      parameters:
        - name: id
          in: path
          description: Cart identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: Cart resource updated
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Cart.PrepareStripeCartConfirmationResponse-PrepareStripeCartConfirmationResponse
            text/html:
              schema:
                $ref: >-
                  #/components/schemas/Cart.PrepareStripeCartConfirmationResponse-PrepareStripeCartConfirmationResponse
          links: {}
        '400':
          description: Invalid input
        '404':
          description: Resource not found
        '422':
          description: Unprocessable entity
      deprecated: false
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X PUT \
             /public/checkout/cart/{id}/prepare-stripe \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    Cart.PrepareStripeCartConfirmationResponse-PrepareStripeCartConfirmationResponse:
      type: object
      description: ''
      deprecated: false
      properties:
        clientSecret:
          description: The Stripe client secret for the payment intent or setup intent.
          type: string
        paymentIntentId:
          description: The Stripe payment intent id, if the cart amount due is not zero.
          type:
            - string
            - 'null'
        setupIntentId:
          description: The Stripe setup intent id, if the cart amount due is zero.
          type:
            - string
            - 'null'
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````